Package ch.qos.logback.core.hook

# Class ShutdownHookBase

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.hook.ShutdownHookBase

All Implemented Interfaces:
  `ShutdownHook`, `ContextAware`, `Runnable`

Direct Known Subclasses:
  `DelayingShutdownHook`

public abstract class ShutdownHookBase extends ContextAwareBase implements ShutdownHook
Base class for classes implementing a Logback ShutdownHook via extension

Author:
  Mike Reinhold

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`ShutdownHookBase()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`stop()`
Default method for stopping the Logback context

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from interface java.lang.Runnable

`run`

## Constructor Details

### ShutdownHookBase

public ShutdownHookBase()

## Method Details

### stop

protected void stop()
Default method for stopping the Logback context